org.jbpm.process.audit.variable

## Class StringProcessVariableIndexer

- java.lang.Object
- - org.jbpm.process.audit.variable.StringProcessVariableIndexer

- All Implemented Interfaces:
    org.kie.internal.process.ProcessVariableIndexer, org.kie.internal.utils.VariableIndexer<org.kie.api.runtime.manager.audit.VariableInstanceLog>

      public class StringProcessVariableIndexer
      extends Object
      implements org.kie.internal.process.ProcessVariableIndexer

  Simple and default indexer for all process variables. It will keep the same name of the variable and will generate string representation based on `variable.toString()` method this indexer is always added at the end of the chain of indexers to allow custom implementations take precedence over this one.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringProcessVariableIndexer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Object variable)`
    `List<org.kie.api.runtime.manager.audit.VariableInstanceLog>` | `index(String name, Object variable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringProcessVariableIndexer

          public StringProcessVariableIndexer()

  - ### Method Detail

    - #### accept

          public boolean accept(Object variable)

      Specified by:
        `accept` in interface `org.kie.internal.utils.VariableIndexer<org.kie.api.runtime.manager.audit.VariableInstanceLog>`

    - #### index

          public List<org.kie.api.runtime.manager.audit.VariableInstanceLog> index(String name,
                                                                                   Object variable)

      Specified by:
        `index` in interface `org.kie.internal.utils.VariableIndexer<org.kie.api.runtime.manager.audit.VariableInstanceLog>`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.